/* $Id: ggigl.h,v 1.1 2000/12/10 11:31:36 marcus Exp $
******************************************************************************

   GGIGL extension API header file

   Copyright (C) 2000 Marcus Sundberg	[marcus@ggi-project.org]
  
   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#ifndef _GGI_GGIGL_H
#define _GGI_GGIGL_H

#include <ggi/ggi.h>
#include <ggi/ggigl-defs.h>


enum GGIGL_ATTRIB {
	GGIGL_NONE		= 0,
	GGIGL_BUFFER_SIZE,
	GGIGL_LEVEL,
	GGIGL_RGBA,
	GGIGL_DOUBLEBUFFER,
	GGIGL_STEREO,
	GGIGL_AUX_BUFFERS,
	GGIGL_RED_SIZE,
	GGIGL_GREEN_SIZE,
	GGIGL_BLUE_SIZE,
	GGIGL_ALPHA_SIZE,
	GGIGL_DEPTH_SIZE,
	GGIGL_STENCIL_SIZE,
	GGIGL_ACCUM_RED_SIZE,
	GGIGL_ACCUM_GREEN_SIZE,
	GGIGL_ACCUM_BLUE_SIZE,
	GGIGL_ACCUM_ALPHA_SIZE,
};


__BEGIN_DECLS

/* Get the master config dir
 */
GGIGLAPIFUNC const char *ggiglGetConfDir(void);

/* Enter and leave the library
 */
GGIGLAPIFUNC int ggiglInit(void);
GGIGLAPIFUNC int ggiglExit(void);

GGIGLAPIFUNC int ggiglAttach(ggi_visual_t vis, int *attribs);
GGIGLAPIFUNC int ggiglDetach(ggi_visual_t vis);

/* API functions
 */

GGIGLAPIFUNC void ggiglSetAttribs(ggi_visual_t vis, int *attribs);

GGIGLAPIFUNC void ggiglSwapBuffers(ggi_visual_t vis);

__END_DECLS

#endif /* _GGI_GGIGL_H */
